cURL
curl --request GET \
--url https://api.roadie.paroaria.ai/v1/orgs/{orgId}/audit-eventsimport requests
url = "https://api.roadie.paroaria.ai/v1/orgs/{orgId}/audit-events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.roadie.paroaria.ai/v1/orgs/{orgId}/audit-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_id": "<string>",
"action": "<string>",
"resource_type": "<string>",
"resource_id": "<string>",
"summary": {},
"ip": "<string>",
"user_agent": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}API Reference
Get v1orgs audit events
GET
/
v1
/
orgs
/
{orgId}
/
audit-events
cURL
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Query Parameters
Required range:
1 <= x <= 100Required string length:
1 - 512⌘I